Bug 840105 - [RV610] Brief blank screen system without lockup seemingly random but reproducible.
[RV610] Brief blank screen system without lockup seemingly random but reprodu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 14:26 EDT by Curt Ashendel
Modified: 2013-08-01 09:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:40:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output for normal boot (problem occurs) (65.02 KB, text/plain)
2012-07-13 14:26 EDT, Curt Ashendel
no flags Details
xorg.0.log from boot with problem (using ati driver) (52.84 KB, text/plain)
2012-07-13 14:29 EDT, Curt Ashendel
no flags Details
glxinfo output from boot with problem behavior (24.64 KB, text/plain)
2012-07-13 14:31 EDT, Curt Ashendel
no flags Details
xorg.0.log.old - log from previous boot with nomodeset (fallback to vesa) (110.38 KB, text/plain)
2012-07-13 14:36 EDT, Curt Ashendel
no flags Details
smoldt profile (3.43 KB, text/plain)
2012-07-13 14:37 EDT, Curt Ashendel
no flags Details
dmesg output w/ debug=14 (and with ati driver, problem behavior) (108.01 KB, text/plain)
2012-07-13 14:59 EDT, Curt Ashendel
no flags Details
/var/log/gdb/:0.log (1.09 KB, text/x-log)
2012-07-13 15:01 EDT, Curt Ashendel
no flags Details
/var/log/gdm/:0-greeter.log (587 bytes, text/plain)
2012-07-13 15:02 EDT, Curt Ashendel
no flags Details
/var/log/gdm/:0.log (1.09 KB, text/plain)
2012-07-13 15:03 EDT, Curt Ashendel
no flags Details
/var/log/gdm/:0-slave.log (340 bytes, text/plain)
2012-07-13 15:04 EDT, Curt Ashendel
no flags Details

  None (edit)
Description Curt Ashendel 2012-07-13 14:26:27 EDT
Created attachment 598132 [details]
dmesg output for normal boot (problem occurs)

Description of problem:

Seemingly random brief (1 to 10 seconds, typically ~3 sec, occasionally <1sec) blank screen with ATI driver and ATI Radeon RV610 HD2400 Pro, Fedora 17 (fresh install) with gnome desktop. Screen returns after 1 to 10 seconds, during which system responds to keyboard and mouse, so there is no system lockup. Nomodeset at boot (fallback to VESA driver) resolves problem. Problem also occured during Fedora 17 install (graphical from dvd). 

No indication of problem in any logs.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64


How reproducible:

Always

Steps to Reproduce:
1. Boot up system. 
2. The problem occurs without doing anything, but it's frequency increases when using the mouse or keyboard (which causes screen update). Typical frequency is as high as 1/sec to as little as 1/minute. Screen paging (selecting a new window  as in switching between Activities and Applications in Gnome desktop always produces the problem.
  
Actual results:
Screen goes blank without system lockup for short period of random length.


Expected results:
Screen should not go blank.

Additional info:

Using USB keyboard and mouse.
No xorg.conf file.


Will attach dmseg, smoldt profile, glxinfo, and messages from boot with drm.debug=14 set.
Comment 1 Curt Ashendel 2012-07-13 14:29:24 EDT
Created attachment 598133 [details]
xorg.0.log from boot with problem (using ati driver)
Comment 2 Curt Ashendel 2012-07-13 14:31:01 EDT
Created attachment 598134 [details]
glxinfo output from boot with problem behavior
Comment 3 Curt Ashendel 2012-07-13 14:36:12 EDT
Created attachment 598144 [details]
xorg.0.log.old - log from previous boot with nomodeset (fallback to vesa)

This log file is from a boot with nomodeset which resolves the problem.
Comment 4 Curt Ashendel 2012-07-13 14:37:18 EDT
Created attachment 598145 [details]
smoldt profile
Comment 5 Curt Ashendel 2012-07-13 14:59:31 EDT
Created attachment 598146 [details]
dmesg output w/ debug=14 (and with ati driver, problem behavior)
Comment 6 Curt Ashendel 2012-07-13 15:01:35 EDT
Created attachment 598147 [details]
/var/log/gdb/:0.log
Comment 7 Curt Ashendel 2012-07-13 15:02:37 EDT
Created attachment 598148 [details]
/var/log/gdm/:0-greeter.log

This has some critical error messages in it.
Comment 8 Curt Ashendel 2012-07-13 15:03:44 EDT
Created attachment 598149 [details]
/var/log/gdm/:0.log
Comment 9 Curt Ashendel 2012-07-13 15:04:26 EDT
Created attachment 598150 [details]
/var/log/gdm/:0-slave.log
Comment 10 Fedora End Of Life 2013-07-04 00:28:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 09:41:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.